'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.blockWindowAds = exports.adBlocker = undefined;

var _isAd = require('is-ad');

(0, _isAd.initialize)();

var defaultOptions = {
  verbose: true,
  logger: console,
  onRequest: undefined
};

var adBlocker = exports.adBlocker = _isAd.client;

var blockWindowAds = exports.blockWindowAds = function blockWindowAds(browserWindow) {
  var userOptions = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var options = Object.assign({}, defaultOptions, userOptions);
  browserWindow.webContents.session.webRequest.onBeforeRequest(['*://*./*'], function (details, callback) {
    var shouldBeBlocked = (0, _isAd.isAd)(details.url);
    if (shouldBeBlocked && options.verbose) {
      options.logger.log('ADBLOCK blocked: ' + details.url);
    }
    if (options.onRequest) {
      options.onRequest(details, callback, shouldBeBlocked);
    } else if (shouldBeBlocked) {
      callback({ cancel: true });
    } else {
      callback({ cancel: false });
    }
  });
};